| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiTesting.BaseTest.LineSkipper Class Reference
Inheritance diagram for GaudiTesting.BaseTest.LineSkipper:
[legend]
Collaboration diagram for GaudiTesting.BaseTest.LineSkipper:
[legend]

## Public Member Functions
def | __init__ (self, strings=[], regexps=[])
def | __processLine__ (self, line)
Public Member Functions inherited from GaudiTesting.BaseTest.FilePreprocessor
def | __processLine__ (self, line)
def | __processFile__ (self, lines)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| strings
| regexps

## Detailed Description

Definition at line 727 of file BaseTest.py.

## Constructor & Destructor Documentation

def GaudiTesting.BaseTest.LineSkipper.__init__ | ( |  | self,
|  |  | strings = `[]`,
|  |  | regexps = `[]`
| ) |  |

Definition at line 728 of file BaseTest.py.

728 def __init__(self, strings=[], regexps=[]):
729 import re
730 self.strings = strings
731 self.regexps = map(re.compile, regexps)
732
GaudiTesting.BaseTest.LineSkipper.strings
strings
Definition: BaseTest.py:730
Containers::map
struct GAUDI_API map
Parametrisation class for map-like implementation.
Definition: KeyedObjectManager.h:26
GaudiTesting.BaseTest.LineSkipper.__init__
def __init__(self, strings=[], regexps=[])
Definition: BaseTest.py:728
GaudiTesting.BaseTest.LineSkipper.regexps
regexps
Definition: BaseTest.py:731

## Member Function Documentation

def GaudiTesting.BaseTest.LineSkipper.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 733 of file BaseTest.py.

733 def __processLine__(self, line):
734 for s in self.strings:
735 if line.find(s) >= 0:
736 return None
737 for r in self.regexps:
738 if r.search(line):
739 return None
740 return line
741
742
GaudiTesting.BaseTest.LineSkipper.strings
strings
Definition: BaseTest.py:730
GaudiTesting.BaseTest.LineSkipper.__processLine__
def __processLine__(self, line)
Definition: BaseTest.py:733
GaudiTesting.BaseTest.LineSkipper.regexps
regexps
Definition: BaseTest.py:731

## Member Data Documentation

GaudiTesting.BaseTest.LineSkipper.regexps

Definition at line 731 of file BaseTest.py.

GaudiTesting.BaseTest.LineSkipper.strings

Definition at line 730 of file BaseTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py